Bug 2071195 - Qt apps *Save As* file dialog in GNOME, Portal says "The folder contents could not be displayed"
Summary: Qt apps *Save As* file dialog in GNOME, Portal says "The folder contents coul...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xdg-desktop-portal-gnome
Version: 36
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: David King
QA Contact:
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F36FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2022-04-02 05:57 UTC by Christian Herzog
Modified: 2023-05-25 15:27 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-05-25 15:27:39 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Screenshot of the error (62.34 KB, image/png)
2022-04-04 06:47 UTC, Miro Hrončok
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME xdg-desktop-portal-gnome issues 29 0 None opened Qt apps *Save As* file dialog in GNOME, Portal says "The folder contents could not be displayed" 2022-04-13 11:57:43 UTC

Description Christian Herzog 2022-04-02 05:57:47 UTC
Description of problem:
after creating a model in openscad, one cannot export it as STL since the file dialog box doesn't open. 

Version-Release number of selected component (if applicable):
openscad-2021.01-7.fc36

How reproducible:
always

Steps to Reproduce:
1. open openscad
2. cube([1, 1, 1]);
3. F6 for render
4. F7 for export to STL
5. no export/save as dialog box

Actual results:
unable to export STL

Expected results:
file dialog box allows me to specify directory + file name and export STL

Additional info:
when hitting F7, the openscad window quickly "flashes" (probably losing and regaining focus) and the 'window indicator' in the top left corner of gnome shell switches from 'org.openscad.openscad' to 'Portal'. Also some warnings when starting openscad in a terminal:

QSocketNotifier: Can only be used with threads started with QThread
GLEW Error: Unknown error
Unsupported modifier, resource creation failed.
XXX: resource creation failed

Comment 1 Miro Hrončok 2022-04-03 19:56:45 UTC
I can reproduce this. The Save as dialog is also broken.

Comment 2 Miro Hrončok 2022-04-04 06:26:32 UTC
I've been trying to test other Qt apps. Meshlab won't even start with: Error: GLEW initialization failed: Unknown error.

CloudCompare displays a notification "Portal, save is ready" but does not open the save dialog. Since this is about the second, I will reassign this to Qt.

Will leave the severity as urgent, as this seems to have an impact on many apps and we are reaching the final freeze soon.

I will open a separate bugzilla for meshlab (and investigate the similar error message in openscad later).

Comment 4 Miro Hrončok 2022-04-04 06:47:05 UTC
Thanks.

This indeed looks like a duplicate of 2068041, https://bodhi.fedoraproject.org/updates/FEDORA-2022-f8681a48e6 somehow makes it work.

But it still displays: "The folder contents could not be displayed." clicking OK displays the content. Chromium does not do this, I've seen it in cloudcompare and openscad.

Hence, not marking it as a duplicate yet.

Comment 5 Miro Hrončok 2022-04-04 06:47:58 UTC
Created attachment 1870631 [details]
Screenshot of the error

Comment 6 Miro Hrončok 2022-04-05 15:41:29 UTC
> Meshlab won't even start with: Error: GLEW initialization failed: Unknown error.

Reported as bz2072095.

Comment 7 Miro Hrončok 2022-04-05 16:34:54 UTC
Requesting a freeze exception, as this probably affects some apps on some of the Live Labs and hence cannot be fixed with an update. If I find some affected app on a blocking media, I will request a blocker, but this is unlikely.

Apps affected found:

meshlab
openscad
cloudcompare

Apps not affected:

mu (but the save as dialog opens behind the editor)
krita (the save as dialog does not look GNOME-native, but looks like some old/custom qt dialog)
scribus (the save as dialog does not look GNOME-native, but looks like some old/custom qt dialog)

Comment 8 Miro Hrončok 2022-04-05 16:51:17 UTC
cura is also affected

(seems like anything that has to do with 3D printing is :D)

Comment 9 František Zatloukal 2022-04-09 11:25:59 UTC
Discussed in ticket: https://pagure.io/fedora-qa/blocker-review/issue/719

The decision to classify this bug as an AcceptedFreezeException was made:

"It affects bunch of applications present in some of our deliverables and so can't be fixed by a post-release update. Also poses low-risk as it doesn't affect any applications present on our blocking deliverables."

Comment 10 Michael Catanzaro 2022-04-11 18:47:48 UTC
OK, I see the GTK crash is fixed, but xdg-desktop-portal-gnome still does not work.

I don't see any relevant upstream bug report for this, though. Next step would be to report a bug to upstream xdg-desktop-portal-gnome, assuming this happens in many Qt apps and not just one.

Comment 11 Miro Hrončok 2022-04-13 11:57:43 UTC
I found this at least in:

meshlab
openscad
cloudcompare
cura

Reported to https://gitlab.gnome.org/GNOME/xdg-desktop-portal-gnome/-/issues/29

Comment 15 Miro Hrončok 2022-04-20 08:59:02 UTC
Back to NEW, the patch does not seem to fix this.

Comment 16 Miro Hrončok 2022-05-08 16:22:31 UTC
42.1 makes the error no longer appear right away, but it still appears after Ctrl+V into the filename prompt

Comment 17 Ben Cotton 2023-04-25 16:58:24 UTC
This message is a reminder that Fedora Linux 36 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 36 on 2023-05-16.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '36'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 36 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 18 Ludek Smid 2023-05-25 15:27:39 UTC
Fedora Linux 36 entered end-of-life (EOL) status on 2023-05-16.

Fedora Linux 36 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora Linux
please feel free to reopen this bug against that version. Note that the version
field may be hidden. Click the "Show advanced fields" button if you do not see
the version field.

If you are unable to reopen this bug, please file a new report against an
active release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.